lucene-solr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jan-Pascal (JIRA)" <j...@apache.org>
Subject [jira] Updated: (SOLR-889) Upgrade dependent libraries to most recent stable version
Date Fri, 03 Apr 2009 08:06:13 GMT

     [ https://issues.apache.org/jira/browse/SOLR-889?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jan-Pascal updated SOLR-889:
----------------------------

    Attachment: patch-to-fix-failed-test-with-newer-jetty.diff

Hi all,

I'm running into this issue while packaging Solr 1.3 for Debian. The attached patch fixes
the failed test mentioned here, but another test fails later on:

  <testcase classname="org.apache.solr.servlet.CacheHeaderTest" name="testCacheVetoException"
time="0.795">
    <failure message="We got no Expires header" type="junit.framework.AssertionFailedError">junit.framework.AssertionFailedError:
We got no Expires header
        at org.apache.solr.servlet.CacheHeaderTest.checkVetoHeaders(CacheHeaderTest.java:74)
        at org.apache.solr.servlet.CacheHeaderTest.testCacheVetoException(CacheHeaderTest.java:59)
</failure>
  </testcase>

>From reading the HTTP 1.1 RFC, the Expires header is essential for the correct operation
of HTTP 1.0 caches (that may ignore the "Cache-Control: no-cache" header). That means disabling
the test would be incorrect. I haven't been able to find out where the Expires: headers is
supposed to be generated.

Cheers

Jan-Pascal

> Upgrade dependent libraries to most recent stable version
> ---------------------------------------------------------
>
>                 Key: SOLR-889
>                 URL: https://issues.apache.org/jira/browse/SOLR-889
>             Project: Solr
>          Issue Type: Task
>            Reporter: Ryan McKinley
>            Assignee: Ryan McKinley
>            Priority: Minor
>             Fix For: 1.5
>
>         Attachments: patch-to-fix-failed-test-with-newer-jetty.diff
>
>
> In particular:
>  * commons-httpclient-3.1.jar => httpcore-4.0-beta3.jar
>  * commons-fileupload-1.2.jar => commons-fileupload-1.2.1.jar
>  * commons-io-1.3.1.jar => commons-io-1.4.jar
> perhaps:
>  * jetty-6.1.3.jar => jetty-6.1.14.jar

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message